%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

# We pushed patches from plf to main repository (TK 03062015)

Summary:	Font configuration library
Name:		fontconfig
Version:	2.11.1
Release:	3
License:	MIT
Group:		System/X11
Url:		http://fontconfig.org/
Source0:	http://www.freedesktop.org/software/fontconfig/release/%{name}-%{version}.tar.bz2
# (fc) 2.3.2-3mdk prefer urw fonts
Source1:	30-mdv-urwfonts.conf
# (fc) 2.3.2-3mdk disable antialiasing for some fonts
Source3:	20-mdv-disable-antialias.conf
# (fc) 2.3.2-3mdk  Avoid KDE/QT uses some bitmapped fonts (guisseppe)
Source5:	30-mdv-avoid-bitmap.conf
# (fc) 2.4.2-1mdv disable embedded bitmap for big size (Mdv bug #25924)
Source8:	26-mdv-no-embeddedbitmap.conf
# (fc) 2.4.92-1mdv enable embeddedbitmap on some CJK fonts (Fedora)
Source10:	25-no-bitmap-fedora.conf
# (fc) 2.1-4mdk change order of default fonts
Source11:	fc-cache.filter
Source12:	fc-cache.script
Patch1:		fontconfig-mdvconfig.patch
Patch10:	00_old_diff_gz.patch
Patch11:	01_fonts_nanum.patch
Patch12:	04_ubuntu_monospace_lcd_filter_conf.patch
Patch13:	05_lcdfilterlegacy.patch
Patch14:	05_ubuntu_add_hinting_and_antialiasing_confs.patch
Patch15:	06_ubuntu_lcddefault.patch
BuildRequires:	ed
BuildRequires:	lynx
BuildRequires:	pkgconfig(freetype2) >= 2.3.5
BuildRequires:	pkgconfig(libxml-2.0)
Provides:	lib%{name} = %{EVRD}
Provides:	%{name}-libs = %{EVRD}
# fwang: add conflicts to ease upgrade
Conflicts:	x11-font-wqy-bitmapfont < 1.0-0.20070901.1

%description
Fontconfig is designed to locate fonts within the system and select them
according to requirements specified by applications.

This package contains Ubuntu LCD patches.

%files
%doc README AUTHORS COPYING doc/fontconfig-user.html doc/fontconfig-user.txt
%dir %{_var}/cache/fontconfig
%{_bindir}/*
%dir %{_sysconfdir}/fonts
%dir %{_sysconfdir}/fonts/conf.d
%{_datadir}/%{name}/conf.avail
%{_datadir}/xml/fontconfig/fonts.dtd
# those files must NOT have noreplace option
%config %{_sysconfdir}/fonts/fonts.conf
%config %{_sysconfdir}/fonts/conf.d/*.conf
%config %{_sysconfdir}/fonts/conf.d/README
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_var}/lib/rpm/filetriggers/fc-cache.*

%post
%{_bindir}/fc-cache --force --system-only >/dev/null

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Font configuration and customization library
Group:		System/Libraries

%description -n %{libname}
Fontconfig is designed to locate fonts within the system and select them
according to requirements specified by applications.

%files -n %{libname}
%{_libdir}/libfontconfig.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Font configuration and customization library
Group:		Development/C
Provides:	%{name}-devel = %{EVRD}
Requires:	%{libname} = %{EVRD}

%description -n %{devname}
This package includes the header files, and developer docs for the fontconfig
package. Install it if you want to develop programs which will use fontconfig.

%files -n %{devname}
%doc doc/fontconfig-devel doc/fontconfig-devel.txt 
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_mandir}/man3/*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

%build
export HASDOCBOOK=no

%configure2_5x \
	--disable-static \
	--localstatedir=/var \
	--with-add-fonts="/usr/lib/X11/fonts,/usr/X11R6/lib/X11/fonts,/opt/ttfonts" \
	--enable-libxml2

%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/fonts/conf.d
cp %{SOURCE1} %{SOURCE3} %{SOURCE5} %{SOURCE8} %{SOURCE10} %{buildroot}%{_sysconfdir}/fonts/conf.d 

# needed in case main config files isn't up to date
cat << EOF > %{buildroot}%{_sysconfdir}/fonts/conf.d/00-cache.conf
<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
<!-- Font cache directory list -->

        <cachedir>/var/cache/fontconfig</cachedir>
        <cachedir>~/.fontconfig</cachedir>

</fontconfig>
EOF

ln -s ../../..%{_datadir}/%{name}/conf.avail/25-unhint-nonlatin.conf %{buildroot}%{_sysconfdir}/fonts/conf.d
ln -s ../../..%{_datadir}/%{name}/conf.avail/10-sub-pixel-rgb.conf %{buildroot}%{_sysconfdir}/fonts/conf.d

# install filetriggers
install -d -m 0755 %{buildroot}%{_var}/lib/rpm/filetriggers
install -m 0644 %{SOURCE11} %{buildroot}%{_var}/lib/rpm/filetriggers
install -m 0755 %{SOURCE12} %{buildroot}%{_var}/lib/rpm/filetriggers


%changelog

* Wed Jan 06 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.11.1-3
- (e6f73a7) Add 10-sub-pixel-rgb.conf to default config


